using RealEstateTransactions.Entities;

namespace RealEstateTransactions.Repositories
{
    public interface IDealRepository
    {
        IEnumerable<Deal> ReadDeals(DateTime? dateForm = null, DateTime? dateTo = null,
            int? servicesID = null, int? dealID = null);

        void CreateDeal(Deal deal);

        void DeleteDeal(int id);
    }
}